Subject: Re: bug#20196: alpha README in libtools-2.4.6.tar.gz

From: "Gary V. Vaughan" <[email-masked]>
Date: Thu, 26 Mar 2015 08:44:14 +0000

On 25 Mar 2015, at 10:23, Peter Breitenlohner <[email-masked]> wrote:
> 
>> On Wed, 25 Mar 2015, Peter Johansson wrote:
>> 
>> I noticed that libtool-2.4.6.tar.gz contains a README that looks more aimed for alpha test releases:
> 
> Same for 2.4.3, 2.4.4, and 2.4.5.  The last version with a 'genuine' README
> was 2.4.2 from 2011.

There's a make rule for swapping out the README file keyed on the version number, but that
was written before moving to using the gnulib release rules. I would lean towards simplifying
by removing the rule and the alpha README entirely for the sake of future releases.

(Not by me though, as I am not maintaining Libtool these days)

> Moreover 2.4.5 and 2.4.6 contain lots of Mac Os X ._* files.  Intentional?

I think an oversight in the Automake tar invocation allows Apple /usr/bin/tar to roll up useless
Mac OS and/or DropBox metadata files. Please ignore.

Whoever makes future releases should fix up the Automake tar invocations and/or use GNU
tar in a non-DropBox synced directory to avoid the same issue.

> Regards
> Peter Breitenlohner <[email-masked]>

Cheers,
-- 
Gary V. Vaughan (gary AT vaughan DOT pe)